# 151229 batch merge sequ in one hit table of all 10 replicas!
setwd("~/Documents/UNI_und_VORLESUNGEN/11 phd projects/1 Meta SCHMALNAU/2 HiSeq TierMix scripts/6 Blasting/")


file <- c("OTU_BF1_BR1.csv",
"OTU_BF2_BR1.csv",
"OTU_BF1_BR2.csv",
"OTU_BF2_BR2.csv")

fasta <- c("Tier15_BR1_BF1_all_min2_OTU_nochim.txt", "Tier15_BR1_BF2_all_min2_OTU_nochim.txt", "Tier15_BR2_BF1_all_min2_OTU_nochim.txt", "Tier15_BR2_BF2_all_min2_OTU_nochim.txt")


for (i in 1:4){
# quick plot
tab <- read.csv(file[i], stringsAsFactors=F)

temp <- tab
head(temp)
# calculate %ages

col_totals_g <- colSums(temp[,2:11])

for (o in 1:10){
temp[,o+1] <- temp[,o+1]/col_totals_g[o]*100
}
colSums(temp[,2:11]) # check if 100%



above <- temp[,2:11]>=0.003 #abuance above 3%


tab <- cbind(tab, "above"=rowSums(above))

tabsub <- tab[tab$above>0,]

nrow(tabsub) 


colSums(tab[,2:11][tab$above==0,]) # sum cols under 0.003 %


write.csv(file=paste("SUBSET_0.003/", sub(".csv", "_sums.csv", file[i])), colSums(tab[,2:11])-colSums(tabsub[,2:11])) #get sums from each table



# import sequences and add them to table!
library("seqinr")
OTU <- read.fasta(paste("../5 OTU clustering/", fasta[i], sep=""), forceDNAtolower=F, as.string=T)

length(OTU)
nrow(tab)

tab <- cbind(tab, "sequ"=unlist(OTU), stringsAsFactors=F)

#subset reads below 0.003%

tab_SUB <- tab[tab$above>0,]
nrow(tab_SUB)


tablefilename <- paste("SUBSET_0.003/", sub(".csv", "", file[i]), "_", nrow(tab_SUB), ".csv", sep="")

write.csv(file= tablefilename, tab_SUB, row.names=F)

# read in table for subseting!


OTU <- paste(">", tab_SUB$ID, sep="")

cat(file=paste("SUBSET_0.003/", sub(".csv", "", file[i]), ".fasta", sep=""), paste(OTU, "\n", tab_SUB$sequ, sep="", collapse="\n"))

}






